# Poco::Data

# template < class T >

# class BulkBinding

Library: Data
Package: DataCore
Header: Poco/Data/BulkBinding.h

## Description

A BulkBinding maps a value to a column. Bulk binding support is provided only for std::vector.

## Inheritance

Direct Base Classes: AbstractBinding

All Base Classes: AbstractBinding

## Member Summary

Member Functions: bind, canBind, numOfColumnsHandled, numOfRowsHandled, reset

Inherited Functions: bind, bulkSize, canBind, getBinder, getDirection, isBulk, name, numOfColumnsHandled, numOfRowsHandled, reset, setBinder

## Constructors

### BulkBinding

BulkBinding(
const T & val,
Poco::UInt32 bulkSize,
const std::string & name = "",
Direction direction = PD_IN
);

Creates the BulkBinding.

## Destructor

### ~BulkBinding

~BulkBinding();

Destroys the BulkBinding.

## Member Functions

### bind

void bind(
std::size_t pos
);

See also: Poco::Data::AbstractBinding::bind()

### canBind

bool canBind() const;

See also: Poco::Data::AbstractBinding::canBind()

### numOfColumnsHandled

std::size_t numOfColumnsHandled() const;

See also: Poco::Data::AbstractBinding::numOfColumnsHandled()

### numOfRowsHandled

std::size_t numOfRowsHandled() const;

See also: Poco::Data::AbstractBinding::numOfRowsHandled()

### reset

void reset();

See also: Poco::Data::AbstractBinding::reset()